package dk.aau.cs.model.tapn.Colored;

import dk.aau.cs.model.tapn.Colored.Expressions.ArcExpression;
import dk.aau.cs.model.tapn.TimeInterval;
import dk.aau.cs.model.tapn.TimedInputArc;
import dk.aau.cs.model.tapn.TimedPlace;
import dk.aau.cs.model.tapn.TimedTransition;

public class ColoredInputArc extends TimedInputArc {

    private ArcExpression expression;

    public ColoredInputArc(TimedPlace source, TimedTransition destination, TimeInterval interval, ArcExpression expression) {
        super(source, destination, interval);
        this.expression = expression;
    }

    public ArcExpression getArcExpression() {return this.expression;}


    public void setExpression(ArcExpression expression) {this.expression = expression;}

}
