package dk.aau.cs.model.tapn.Colored;

import dk.aau.cs.model.tapn.LocalTimedPlace;
import dk.aau.cs.model.tapn.TimeInvariant;

public class LocalColoredPlace extends LocalTimedPlace {

    private ColorType colorType;

    public LocalColoredPlace(String name, ColorType colorType) {
        super(name);
        this.colorType = colorType;
    }

    public LocalColoredPlace(String name, TimeInvariant invariant, ColorType colorType) {
        super(name, invariant);
        this.colorType = colorType;
    }

    public LocalColoredPlace(String name) {
        super(name);

    }

    public void setColorType(ColorType colorType) {
        this.colorType = colorType;
    }

    public ColorType getColorType() {return colorType;}
}